Alfresco 6.1.1 REST-API Problem

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
mbasoft
Member II

Alfresco 6.1.1 REST-API Problem

Installed Version:

Alfresco Share v6.1.0

(rfc7f986e4267e4e4d9c7572b73ab200a6a578c93-b6, Aikau 1.0.101.16, Spring Surf 6.1.0, Spring WebScripts 6.20, Freemarker 2.3.20-alfresco-patched, Rhino 1.7R4-alfresco-patched, Yui 2.9.0-alfresco-20141223)
Alfresco Community v6.1.1
(r9d03d2fd-b168) schema 12001
--------------------------------------------
Seit der Umstellung auf diese Vesion kann die REST-API /deleted-nodes/{nodeid}/restore nicht mehr korrekt ausgeführt werden. 
Beispiel:

alfresco/api/-default-/public/alfresco/versions/1/deleted-nodes/9592cf4a-877f-4ae7-9871-da824eef2b55/restore

Der Server antwortet mit 400 Bad Request: The remote server returned an error: (400) Bad Request. 

Über die Share-Oberfläche kann der Restore aber problemlos durchgeführt werden. Ich ersuche um Prüfung und um Information. Vielen Dank.

3 Replies
afaust
Master

Re: Alfresco 6.1.1 REST-API Problem

Es wäre hilfreich, wenn Logausgaben aus alfresco.log angefügt würden. Mit den darin enthaltenen Informationen könnte ggf. eine Prüfung / Information möglich sein.

Ich frage mich außerdem, warum eine Version 6.1.1 genutzt wird. Die offizielle Release-Version (GA) ist 6.1.2-ga. Unter Umständen gibt es in der Vorab-Version 6.1.1 ja einfach auch Fehler, die in der Release-Version schon behoben wurden.

Da die Share Oberfläche nicht die v1 Public ReST API nutzt, verwundert es nicht, dass diese weiterhin korrekt funktioniert. Fehler, Inkonsistenzen und Unzulänglichkeiten in der v1 Public ReST API sind für mich leider auch nichts Unbekanntes. Gerade die eher selten genutzten Funktionen (dazu gehört sicher alles um deleted-nodes / restore) dürften noch einige, versteckte Problemchen enthalten, die bei den Schönwettertests von Alfresco nicht auffalen.

mbasoft
Member II

Re: Alfresco 6.1.1 REST-API Problem

Danke für die rasche Antwort. Es handelt sich hierbei um ein Testsystem. Ich habe dieses nun auf die Version 6.1.2 hochgezogen, erhalte den Fehler (The remote server returned an error: (400) Bad Request.) aber leider noch immer. 

---------- Versionsinformation ---------

Alfresco Share v6.1.0-RC3
(rfc4d07d95ebe14a02806729926d612e07681720d-b65, Aikau 1.0.101.16, Spring Surf 6.1.0-RC3, Spring WebScripts 6.20, Freemarker 2.3.20-alfresco-patched, Rhino 1.7R4-alfresco-patched, Yui 2.9.0-alfresco-20141223)
Alfresco Community v6.1.2
(r4fe1d0d0-b205) schema 13001
---------------------------------------------------
Für das Upgrade habe ich die war-Files des von Alfresco zur Verfügung gestellten Distribution-Archvis (alfresco-content-services-community-distribution-6.1.2-ga.zip) verwendet.
Inhalt der Alfresco.log-Datei (ich habe diese vor dem Zugriff gelöscht) siehe Attachment (ich konnte da keinen Hinweis auf den Fehler finden).
Vielleicht kann hier wer von den Alfresco-Experten weiterhelfen. Vielen Dank.
 
mbasoft
Member II

Re: Alfresco 6.1.1 REST-API Problem

Hat vielleicht noch wer eine Idee, wie man das Problem lösen könnte. Den Vorschlag von Herrn Faust habe ich umgesetzt, was das Problem aber leider nicht gelöst hat. Für weitere Hinweise/Ideen wäre ich sehr dankbar (dieses Problem ist der einzige Punkt, der die Freigabe unseres Produkts für den 6.x-Zweig verhindert).

Vielen Dank im Voraus.